SQL-инъекция в PHP-Nuke BookCatalog Module

Дата публикации:
01.11.2008
Всего просмотров:
2830
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
BookCatalog 1.x (модуль к PHP-Nuke)
Уязвимые версии: BookCatalog (модуль к PHP-Nuke) 1.x

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "catid" в сценарии modules.php, когда параметр "name" установлен в значение "BookCatalog" и параметр "op" установлен в "category". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: phpnuke.basisconsultant.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://packetstorm.linuxsecurity.com/0810-exploits/phpnukebook-sql.txt

или введите имя

CAPTCHA